Posts

Showing posts from August, 2013

Sorry for the issue- the dynamic blog wasn't working very well

I reskinned my blog and the dynamic version didn't work too well - so I have dropped back to a simple version for now.
Ever had any stubborn text styles that wouldn't delete? I did- so I went to Boost Your BIM - Scrubbing Out Dimension Styles and adapted the code there to substitute one text style for another in my first useful macro! 
Start with a sample of text with the text style you want to replace, also add a sample of text style you want to match.

On runing the macro- it prompts in the STATUS BAR (tough to see - working on that) to select a text to replace, then the ext to match. Once completed you can run a purge and Voila! those peskt text styles should be available to purge!

using System;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using System.Collections.Generic;
using Autodesk.Revit.DB;
using Autodesk.Revit.DB.Architecture;
using Autodesk.Revit.DB.Events;
using Autodesk.Revit.UI.Events;
using Autodesk.Revit.UI;
using Autodesk.Revit.UI.Selection;
using Autodesk.Revit.ApplicationServices;


publicvoidTextSytleScrub()
{
            Document doc = this.ActiveUIDocument…

Revit and the arch top, the language of arc segments and chord math.

Image
Archtop windows that break... Revit has issues with circles. Sometimes it is very slick in how it maintains fillets, arcs connections and tangential references, other times it flips out at some of the simplest things, and these issues are sometimes random.

The basic language, spring point, rise, radius, intrados, top, creast are for simple arches.

This in geometric language is represented in Dr. Math's pages and on this reference to Chord Math from Open  Math website.

So we need to draw an arc- then make it flex so the width varies, but the rise is the same.


Simple enough right? Until this happens...
same family - at random points flips the arc:

I cannot even begin to explain why this happens.Guessing a glitch in Revit.

I have a workaround-  or more regular results anyways- by teaching Revit Arc's and arches fundamental language:

ARCH_r  = (Width ^ 2 + 4 * H ^ 2) / (8 * H)
Where:

r          is the radius of the arc
Width  is the width of the Chord (flat part)

Add this with a l…